-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}
M.type = "auxilliary"



local min = math.min
local max = math.max
local abs = math.abs



local function updateGFX(dt)


  electrics.values.cannon_lift = min(max(electrics.values.cannon_lift + electrics.values.cannon_updown_change * dt * 0.2, -1), 1)
  

   
--CANNON--
  
   electrics.values.fire_boom = min(max(electrics.values.fire_boom + electrics.values.fire * dt * 5, -1), 1) 

	if electrics.values.fire_boom >0.99 then
	electrics.values.shoot = 1


		
	else	
	electrics.values.shoot = 0 -- trigger actual shooting via thruster	
	
	
	
	end
	
 
end


local function init(jbeamData)

  
  electrics.values.fire_boom = 0
  electrics.values.fire = 0

  
  electrics.values.cannon_lift = 0
  electrics.values.cannon_updown_change = 0
--  electrics.values.span = 0
--  electrics.values.span_updown_change = 0  

end

M.init = init
M.updateGFX = updateGFX
M.update = update

return M